### Method

# RB ExtDB store

#### Declaration [src]

    void
    rb_ext_db_store (
      RBExtDB* store,
      RBExtDBKey* key,
      RBExtDBSourceType source_type,
      GValue* data
    )

#### Description [src]

Stores an item in the metadata store so that lookups matching `key` will return it. `data` should contain an object that must be transformed using the RBExtDB::store signal before being stored. For example, the album art cache expects `GdkPixbuf` objects here, rather than buffers containing JPEG encoded files.

#### Parameters

`key`

  Type: `RBExtDBKey`

  Metadata storage key.

  The data is owned by the caller of the method.

`source_type`

  Type: `RBExtDBSourceType`

  Metadata source type.

`data`

  Type: `GValue`

  Data to store.

  The argument can be `NULL`.
  The data is owned by the caller of the method.